<?php
namespace FiloBlu\FreeShippingOrderInfo\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 * Class Modes
 * @package FiloBlu\FreeShippingOrderInfo\Model\Config\Source
 */
class Modes implements ArrayInterface
{
    /**
     * @var string
     */
    const COUPON_ONLY = 'coupon_only';

    /**
     * @var string
     */
    const COUPON_AND_RULES = 'coupon_rules';

    /**
     *  @var string
     */
    const ALL = 'all';

    /**
     * @return array
     */
    public function toOptionArray()
    {
        $arr = $this->toArray();
        $ret = [];
        foreach ($arr as $key => $value) {
            $ret[] = [
                'value' => $key,
                'label' => $value
            ];
        }
        return $ret;
    }

    /**
     * @return array
     */
    public function toArray()
    {
        $choose = [
            self::COUPON_ONLY => 'Show only free shipping coupon',
            self::COUPON_AND_RULES => 'Show free shipiing coupon and rule',
            self::ALL  => 'Show everything realted to freeshipping',
        ];

        return $choose;
    }
}